Get matching test plan test cases' id
POST
/testplantestcases/fetchIdsGet id(s) of test case(s) under a test plan that match the filter criteria
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestPlanTestCasesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestPlanTestCasesApi(config);
const result = await api.getTestPlanTestCaseIds({ "fetchIdPayload": { "project": 123 }});console.log(result);curl --request POST \ "https://api.testcollab.io/testplantestcases/fetchIds?token=$TESTCOLLAB_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "filterModel": "example", "project": 123}'Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
filterModel |
string | No | JSON Stringified |
project |
number | Yes | — |
Response
Section titled “Response”200 — Action result
| Field | Type | Required | Description |
|---|---|---|---|
result |
Array of number | Yes | ids list |
{ "result": []}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |